import 'package:flutter/material.dart';
import 'package:matrioska/detailListView/template.dart';

class SingleText extends StatelessWidget {
  final Template template;
  final _valueController = new TextEditingController();
  SingleText(this.template) {
    _valueController.text = template.value != null ? template.value.toString() : "";
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 8, horizontal: 16),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(template.name, style: TextStyle(color: Colors.grey),),
          SizedBox(height: 6,),
          TextField(
            controller:  _valueController,
            decoration: InputDecoration(
              isCollapsed: true,
              filled: true,
              fillColor: template.editable ? Colors.transparent : Colors.grey[200],
              contentPadding: EdgeInsets.symmetric(horizontal: 4, vertical: 10),
              border: OutlineInputBorder(
                ///设置边框四个角的弧度
                borderRadius: BorderRadius.all(Radius.circular(6)),
                ///用来配置边框的样式
                borderSide: BorderSide(
                  ///设置边框的颜色
                  color: Colors.grey,
                  ///设置边框的粗细
                  width: 1.0,
                ),
              ),
              disabledBorder: OutlineInputBorder(
                ///设置边框四个角的弧度
                borderRadius: BorderRadius.all(Radius.circular(6)),
                ///用来配置边框的样式
                borderSide: BorderSide(
                  ///设置边框的颜色
                  color: Colors.grey[200]!,
                  ///设置边框的粗细
                  width: 1.0,
                ),
              ),
            ),
            enabled: template.editable,
            onChanged: (value) {
              print("======$value======");
              template.value = value;
            },
          )
        ],
      ),
    );
  }
}
