import 'package:flutter/material.dart';
import 'package:matrioska/detailListView/itemView/single_text_widget.dart';
import 'package:matrioska/detailListView/template.dart';
import 'package:matrioska/detailListView/template_widget_type.dart';

class TemplateListView extends StatefulWidget {
  final List<Template> templates;

  TemplateListView({required this.templates});

  @override
  _TemplateListViewState createState() => _TemplateListViewState(templates);
}

class _TemplateListViewState extends State<TemplateListView> {
  final List<Template> templates;

  _TemplateListViewState(this.templates);

  @override
  Widget build(BuildContext context) {
    return  ListView.builder(
      physics: AlwaysScrollableScrollPhysics(),
      itemCount: templates.length ,
      itemBuilder: (context, index) {
        Template template = templates[index];
        return _generateByType(template);
      },
    );
  }

  Widget _generateByType(Template template) {
    switch(template.widgetType) {
      case TemplateWidgetType.singleText:
        return SingleText(template);
      default:
        return Container();
    }
  }
}

