
import 'package:flutter/material.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';

class ViewModel extends ChangeNotifier {
  /// 防止页面销毁后,异步任务才完成,导致报错
  bool _disposed = false;


  @override
  void notifyListeners() {
    if (!_disposed) {
      super.notifyListeners();
    }
  }

  @override
  void dispose() {
    _disposed = true;
    // debugPrint('view_state_model dispose -->$runtimeType');
    super.dispose();
  }

  void showLoading(String message) {
    EasyLoading.show(status: message, maskType: EasyLoadingMaskType.clear);
  }

  void showSuccess(String message) {
    EasyLoading.showSuccess(message);
  }

  void showError(String message) {
    EasyLoading.showError(message);
  }

  void dismissLoading() {
    EasyLoading.dismiss();
  }

  void showProgress(double progress) {
    EasyLoading.showProgress(progress,
        status: '${(progress * 100).toStringAsFixed(0)}%', maskType: EasyLoadingMaskType.clear);
  }
}
